# Remove Locations for User

```http
POST https://api.synup.com/api/v4/users/locations/remove
```

This API removes specific locations associated with a user, revoking their access to those locations.

**Behavior:**
- Supports removing one or multiple locations from a user.
- Updates the user’s permissions and access scope accordingly.

Source: https://developer.synup.com/api/user-management/remove-locations-for-user

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.userId` | string | required | Base64 encoded user ID |
| `input.locationIds` | array of string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/users/locations/remove' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "userId": "VXNlcjoxMDA1Mw==",
    "locationIds": [
      "TG9jYXRpb246NTE1MzA=",
      "TG9jYXRpb246NTE1MjY="
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successfully removed locations for user |
